> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-697c363f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Audio Transcription

> Eka Care's ASR (Automatic Speech Recognition) API for medical speech transcription converts spoken medical language into accurate text. It's designed to understand medical terminology, drug names, procedures, and diseases etc.

**Audio Requirements:**

* **Supported Formats:** wav, mp3, m4a
* **Preferred Sampling Rate:** 16kHz
* **File Size Limit:** 5MB


## OpenAPI

````yaml POST /voice/get-asr?language={language}
openapi: 3.0.1
info:
  title: Audio Transcription
  version: 1.0.0
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
paths:
  /voice/get-asr?language={language}:
    post:
      summary: Transcribe medical audio to text
      description: >
        Eka Care's ASR (Automatic Speech Recognition) API for medical speech
        transcription converts spoken medical language into accurate text. It's
        designed to understand medical terminology, drug names, procedures, and
        diseases etc.


        **Audio Requirements:**

        - **Supported Formats:** wav, mp3, m4a

        - **Preferred Sampling Rate:** 16kHz

        - **File Size Limit:** 5MB
      parameters:
        - name: language
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/LanguageCodeQueryParam'
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: base64
                  title: Audio-file
                  description: >-
                    The audio file to be uploaded from your local system.
                    Supports formats wav, mp3, and m4a.
              required:
                - file
      responses:
        '200':
          description: Successful transcription
          content:
            application/json:
              schema:
                type: object
                properties:
                  text:
                    type: string
                    description: Transcribed text from the audio.
              example:
                text: >-
                  Hi, this is again a V2 round testing to V2 testing V2 testing.
                  Hello, hi. Hello, hi. Uh please have Dolo every day twice a
                  day, twice a day.
        '401':
          description: Unauthorized. Invalid or missing authentication.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Unauthorized
        '403':
          description: Forbidden. Auth token not passed, wrong, or expired.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Forbidden
        '413':
          description: Payload too large. File size exceeds 5MB limit.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Request Entity Too Large
        '500':
          description: Internal server error. File not passed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
      security:
        - auth: []
components:
  schemas:
    LanguageCodeQueryParam:
      type: string
      description: >
        Language code for the input audio to be transcribed. Only the following
        codes are supported:

        - `en-IN`: English (India)

        - `en-US`: English (United States)

        - `hi`: Hindi

        - `ta`: Tamil

        - `te`: Telugu

        - `kn`: Kannada

        - `ml`: Malayalam

        - `bn`: Bengali

        - `gu`: Gujarati

        - `mr`: Marathi

        - `pa`: Punjabi
      enum:
        - en-IN
        - en-US
        - hi
        - ta
        - te
        - kn
        - ml
        - bn
        - gu
        - mr
        - pa
      example: en-IN
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````